#!/usr/bin/env python3

import sys
# pyqtgraph warns on Mac if QApplication is created when it is imported
import pyqtgraph

from nmreval.lib.logger import handle_exception
sys.excepthook = handle_exception

from nmreval.gui_qt import App
from nmreval.gui_qt.main.mainwindow import NMRMainWindow

app = App([])

mplQt = NMRMainWindow()
mplQt.show()

sys.exit(app.exec())
